D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

GroupManager Resource

GET /groups

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Response Body
media type data type description
application/json array of string (JSON)

Example

Request
GET /groups
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

POST /groups

Request Parameters
name type description default constraints
accessType formdata   "ADMINISTRATOR" or "READ_ONLY" or "WRITE_ALL" or "WRITE_OWNER"
folderOwner formdata    
group formdata    
useDefaultStorage formdata true boolean
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources    
Request Body
media type data type
multipart/form-data (custom)
Response Body
media type data type description
application/json string (JSON)

Example

Request
POST /groups
Content-Type: multipart/form-data
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
...
                
              

DELETE /groups/{group}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
group path
Response Body
media type data type description
application/json string (JSON)

Example

Request
DELETE /groups/{group}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

GET /groups/{groupId}/admins

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
groupId path
Response Body
media type data type description
application/json array of string (JSON)

Example

Request
GET /groups/{groupId}/admins
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

GET /groups/{groupId}/users

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
groupId path
Response Body
media type data type description
application/json array of string (JSON)

Example

Request
GET /groups/{groupId}/users
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

PUT /groups/{id}/admins

Request Parameters
name type description
userId form
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Request Body
media type data type
application/x-www-form-urlencoded (custom)

Example

Request
PUT /groups/{id}/admins
Content-Type: application/x-www-form-urlencoded
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content

              

PUT /groups/{id}/users

Request Parameters
name type description
userId form
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Request Body
media type data type
application/x-www-form-urlencoded (custom)
Response Body
media type data type description
application/json boolean (JSON)

Example

Request
PUT /groups/{id}/users
Content-Type: application/x-www-form-urlencoded
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

DELETE /groups/{groupId}/users/{userId}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
groupId path
userId path
Response Body
media type data type description
application/json boolean (JSON)

Example

Request
DELETE /groups/{groupId}/users/{userId}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

DELETE /groups/{id}/admins/{userId}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
userId path
Request Body
media type data type
application/x-www-form-urlencoded (custom)

Example

Request
DELETE /groups/{id}/admins/{userId}
Content-Type: application/x-www-form-urlencoded
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content